Bug 149845 - FC2 and FC3: partition table on compact flash card destroyed after kernel update
FC2 and FC3: partition table on compact flash card destroyed after kernel update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 03:01 EST by Paul Osmialowski
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2005-02-28 03:01:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
I'm using Compact Flash-to-IDE connector instead of HDD. I've installed at first FC3 then FC2 on compact flash 1GB card made by SAMSUNG. The very first problem was that it couldn't be seen by 2.6 kernels on all my boxes with Intel chipsets (new and old ones). Fortunately I've got two boxes with VIA chipsets and there's no problem with CF-IDE on them.
Just after every installation (at first FC3 then also FC2) I did kernel update to latest kernel on update server. Every time, after reboot tons of disk error messages are written to console and partition table on CF card is gone.


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.766_FC3 kernel-2.6.10-1.14_FC2

How reproducible:
Always

Steps to Reproduce:
1. Install FC2 or FC3 on SAMSUNG 1GB CF-IDE using box with non-Intel chipset
2. Download latest 2.6.10 kernel maching choosen distribution from update server
3. Upgrade kernel and do reboot
  

Actual Results:  Disaster

Expected Results:  Normal work

Additional info:

This isn't my first experience with CF-IDE. Previously I was using 512MB CF card made by Hitachi. It was early 2.6 kernels time. At first I had some problems with it on Intel chipsets, but after fixes made by kernel maintainer Bart Zolnierkiewicz, problems gone forever. That card works fine even now everywhere with every kernel I've tried.
Comment 1 Dave Jones 2005-07-15 16:10:39 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Paul Osmialowski 2005-09-07 12:15:34 EDT
It is still FC3 on this embedded Transmeta Crusoe based computer. I have used
kernel-2.6.12-1.1376_FC3.i586.rpm and it didn't destroy my partition this time
(that's the good news), but after this update everything started to work damn
slow, and system load goes over 3.
Comment 3 Paul Osmialowski 2005-09-08 17:10:20 EDT
My box working on 2.6.12-1.1376_FC3 was too slow and it used to crash whenever
usbvnet5A module from atmelwlandriver was loaded ( see
http://atmelwlandriver.sourceforge.net ). Unfortunately, I cannot work without
this atmel-based network interface, so I had to revert to 2.6.9-1.681_FC3 (and
downgrade hal package). Before I did it i had made dump of dmesgs:

Linux version 2.6.12-1.1376_FC3 (bhcompile@tweety.build.redhat.com) (gcc version
3.4.4 20050721 (Red Hat 3.4.4-2)) #1 Fri Aug 26 23:27:19 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000f000000 (usable)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
240MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 61440
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 57344 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI not present.
ACPI: Unable to locate RSDP
Allocating PCI resources starting at 0f000000 (gap: 0f000000:f0ff0000)
Built 1 zonelists
Kernel command line: ro root=/dev/hda1
Initializing CPU#0
CPU 0 irqstacks, hard=c043a000 soft=c0439000
PID hash table entries: 1024 (order: 10, 16384 bytes)
Detected 999.407 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
Memory: 239128k/245760k available (2406k kernel code, 6104k reserved, 686k data,
180k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 1949.69 BogoMIPS (lpj=974848)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0084883f 0081813f 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 0084883f 0081813f 0000004e 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (32 bytes/line)
CPU: L2 Cache: 512K (128 bytes/line)
CPU: Processor revision 1.5.0.2, 1000 MHz
CPU: Code Morphing Software revision 4.3.2-9-343
CPU: 20020426 17:54 official release 4.3.2#2
CPU serial number disabled.
CPU: After all inits, caps: 0080813f 0081813f 0000004e 00000000 00000000
00000000 00000000
CPU: Transmeta(tm) Crusoe(tm) Processor TM5800 stepping 03
Checking 'hlt' instruction... OK.
checking if image is initramfs... it is
Freeing initrd memory: 295k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfb500, last bus=0
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050729
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:00:0a.0
PCI: Using IRQ router VIA [1106/0686] at 0000:00:07.0
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
audit: initializing netlink socket (disabled)
audit(1126180003.825:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key B313BCF67C2F8EB4
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
spurious 8259A interrupt: IRQ7.
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:07.1
PCI: Via IRQ fixup for 0000:00:07.1, from 255 to 0
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci0000:00:07.1
    ide0: BM-DMA at 0xe000-0xe007, BIOS settings: hda:pio, hdb:pio
Probing IDE interface ide0...
hda: SAMSUNG CF/ATA, CFA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hda: max request size: 128KiB
hda: 2041200 sectors (1045 MB) w/0KiB Cache, CHS=2025/16/63
hda: cache flushes not supported
 hda: hda1
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 512 buckets, 16Kbytes
TCP established hash table entries: 8192 (order: 4, 65536 bytes)
TCP bind hash table entries: 8192 (order: 5, 229376 bytes)
TCP: Hash tables configured (established 8192 bind 8192)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 180k freed
input: AT Translated Set 2 keyboard on isa0060/serio0
input: PS/2 Generic Mouse on isa0060/serio1
 hda: hda1
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
usbcore: registered new driver usbvnet5A
e100: Intel(R) PRO/100 Network Driver, 3.4.8-k2-NAPI
e100: Copyright(c) 1999-2005 Intel Corporation
PCI: Found IRQ 11 for device 0000:00:0b.0
PCI: Sharing IRQ 11 with 0000:00:07.2
e100: eth0: e100_probe: addr 0xe2200000, irq 11, MAC addr 00:03:2D:04:40:F6
ip_tables: (C) 2000-2002 Netfilter core team
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
parport_pc: VIA 686A/8231 detected
parport_pc: probing current configuration
parport_pc: Current parallel port base: 0x378
parport0: PC-style at 0x378, irq 7 [PCSPP,EPP]
ip_tables: (C) 2000-2002 Netfilter core team
parport_pc: VIA parallel port: io=0x378, irq=7
Linux video capture interface: v1.00
bttv: driver version 0.9.15 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
bttv: Bt8xx card found (0).
PCI: Found IRQ 5 for device 0000:00:11.0
bttv0: Bt848 (rev 18) at 0000:00:11.0, irq: 5, latency: 32, mmio: 0xe2201000
bttv0: using: Imagenation PXC200 [card=29,insmod option]
bttv0: gpio: en=00000000, out=00000000 in=00fff3ff [init]
Setting DAC reference voltage level ...
Initialising 12C508 PIC chip ...
I2C Write(08) = 0
I2C Read () = 00

I2C Write(09) = 0
I2C Read () = 00

I2C Write(0a) = 0
I2C Read () = 00

I2C Write(0b) = 0
I2C Read () = 00

I2C Write(0d) = 0
I2C Read () = 00

I2C Write(0d) = 0
I2C Read () = 00

I2C Write(01) = 0
I2C Read () = 00

I2C Write(02) = 0
I2C Read () = 00

I2C Write(03) = 0
I2C Read () = 00

I2C Write(04) = 0
I2C Read () = 00

I2C Write(05) = 0
I2C Read () = 00

I2C Write(06) = 0
I2C Read () = 00

I2C Write(00) = 0
I2C Read () = 00

PXC200 Initialised.
bttv0: using tuner=4
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: i2c: checking for TDA9875 @ 0xb0... not found
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
tvaudio: TV audio decoder + audio/video mux driver
tvaudio: known chips:
tda9840,tda9873h,tda9874h/a,tda9850,tda9855,tea6300,tea6320,tea6420,tda8425,pic16c54
(PV951),ta8874z
bttv0: i2c: checking for TDA9887 @ 0x86... not found
bttv0: registered device video0
bttv0: registered device vbi0
bttv0: PXC200_muxsel: not PXC200F rc:0 
USB Universal Host Controller Interface driver v2.2
PCI: Found IRQ 11 for device 0000:00:07.2
PCI: Sharing IRQ 11 with 0000:00:0b.0
uhci_hcd 0000:00:07.2: UHCI Host Controller
uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:07.2: irq 11, io base 0x0000e400
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
usb 1-1: new full speed USB device using uhci_hcd and address 2
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
usb 1-1.3: new full speed USB device using uhci_hcd and address 3
usbcore: registered new driver usbserial
drivers/usb/serial/usb-serial.c: USB Serial support registered for Generic
usbcore: registered new driver usbserial_generic
drivers/usb/serial/usb-serial.c: USB Serial Driver core v2.0
drivers/usb/serial/usb-serial.c: USB Serial support registered for PL-2303
pl2303 1-1.3:1.0: PL-2303 converter detected
usb 1-1.3: PL-2303 converter now attached to ttyUSB0
usbcore: registered new driver pl2303
drivers/usb/serial/pl2303.c: Prolific PL2303 USB to serial adaptor driver v0.12
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (1920 buckets, 15360 max) - 272 bytes per conntrack
NET: Registered protocol family 10
Disabled Privacy Extensions on device c03ca000(lo)
IPv6 over IPv4 tunneling driver
eth0: no IPv6 routers present
Comment 4 Paul Osmialowski 2005-09-08 17:15:37 EDT
I must also correct information about load going over 3. It happend only once
when something strange happend to syslogd (soon sshd refused to log in new users
since it couldn't report it to syslog). After reboot, although the system on new
kernel was terribly slow, the indicated load was never high.
Comment 5 Dave Jones 2006-01-16 17:08:01 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Dave Jones 2006-02-03 02:01:54 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:20:33 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.